> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/configuration-reference/terms-and-abbreviations.md).

# Terms and abbreviations

Lingua franca of Fortified configuration

## General

### JSON

JavaScript Object Notation

*JSON is a lightweight data-interchange format. It is easy for humans to read and write. It is easy for machines to parse and generate. It is based on a subset of the JavaScript Programming Language Standard ECMA-262 3rd Edition - December 1999. JSON is a text format that is completely language independent but uses conventions that are familiar to programmers of the C-family of languages, including C, C++, C#, Java, JavaScript, Perl, Python, and many others. These properties make JSON an ideal data-interchange language.*

See more: <https://www.json.org/>

### Property

A property is a name-value pair. Property names are *always* strings (`"..."`), values can be of any JSON type.

In JSON a property looks like this:

<pre><code><strong>"property_name": &#x3C;property-value>
</strong></code></pre>

Properties MUST be defined inside an `object` and separated by commas (`,`). Objects are defined using curly brackets (`{}`):

```
{
  "property_name": <property-value>
}
```

Property values can be of the following types:

* string (`"string value"`)
* number (`1`, `99`, `765474`, `3.14`)
* boolean (`true`, `false`)
* object (`{}`)
* array (`[]`)

```json
{
    "str": "string property",
    "int": 79,
    "float": 3.14,
    "bool": true,
    "obj": {
        "object_property": "another string value"
    },
    "arr": [
        "first array element",
        "second array element"
    ] 
}
```

Objects and arrays can be nested (an object can contain a property with a value of type array that contains objects).

## Advanced

### Property expansion

Property expansion means replacing a property value, or parts of a value, with the value of another property. The expression is the path to the property.

```json
{
    "first_property": "first value",
    "second_property": "${first_property}"
}
```

For more information and details, see: [Property expansion](/access/configuration-reference/property-expansion.md)

### File inclusion

Configuration supports inclusion of files to enable modularisation. Only files of type JSON (with file extension `.json`) containing an object or an array can be included.

An inclusion looks like this:

```
"included_property": "@include:path/to/file.json"
```

Inclusion will replace the property value with the content of the *included* file (JSON object or array).

Paths to included files can be absolute or relative. Relative paths are resolved against the directory of the *including* file.

For more information and details, see: [File inclusion](/access/configuration-reference/file-inclusion.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/configuration-reference/terms-and-abbreviations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
